Subject: New conditional 'This'?

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 11 Feb 2002 14:20:03 +0000

I want to add a new conditional "This" that is almost equivalent to both:

  WindowId $w (conditions)
  Silent Pick (conditions)

except that it by default ignores CirculateSkip/CirculateSkipIcon
unlike Pick and there are no escaping problems unlike WindowId.

This could be considered redudant, but I don't think so.
There are a lot of usages for "This" and most of configs have it.
The current way of one or another alternative is not intuitive.
I would prefer the name "This" rather than "WindowId $w".

Do you think there is a more intuitive name than "This"?
OperandWindow or ContextWindow are ok, but long. I would call it "Current"
and what we call now "Current" could be "Active", but this is impossible.

BTW, Dominik, I think "use_circulate_hit = 1" in CMD_PointerWindow should
be before CreateConditionMask, give a chance to a user to override us.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]